Subject: DNSEXT draft charter

From: Olafur Gudmundsson <[email-masked]>
Date: Fri, 15 Oct 1999 15:45:57 -0400

Ok, here is my attempt at updating Roberts charter
and make the focus of the group more explicit,

Comments
	Olafur

-----------------------

DNS Extensions (dnsext)
---------------------------------------------------
 
 Charter 
 Last Modified: 15-October-1999
 
 Current Status: Active Working Group (being rechartered)
 
 Chair(s):
     Randy Bush <[email-masked]>
     Olafur Gudmundsson <[email-masked]>
 
 Internet Area Director(s): 
     Thomas Narten  <[email-masked]>
     Erik Nordmark <[email-masked]>
 
 Internet Area Advisor: 
     Erik Nordmark <[email-masked]>
     
 Mailing Lists: 
     General Discussion: [email-masked]
     To Subscribe:       [email-masked]
     Archive:            ftp://rs.internic.net/archives/namedroppers
 
Description of Working Group:

The DNS Extensions Working Group is chartered to produce extensions to
the DNS standard to address new requirements on the system.  DNS is
originally specified in RFCs 1034 and 1035, with subsequent updates.
Within the scope of this WG are protocol issues, including message
formats and message handling.  The WG also considers new data formats.

Issues surrounding the operation of DNS, recommendations concerning
the configuration of DNS servers, and other issues with the use of the
protocol are out of this Working Group's charter.  These issues are
considered in other venues, such as operational issues in the DNS
Operations Working Group.

Broad topics under consideration in DNSEXT are security,
enhancement of the resolver to server interchange, and adjustments to
address the requirements of IPv6 addressing.  Security topics, mostly
inherited from the erstwhile DNS Security Extensions Working Group, will be
addressed in cooperation with the DNS Operations Working Group.

The principle task within this Working Group is to advance several
documents describing proposed extensions to DNS.  The current list of
documents which have appeared as RFC's but still requiring work is:
The current list of documents under consideration for advancement is:
						      
  Title                       Current Document  Status	
  Serial Bit Arithmetic       RFC 1982          Proposed
  Incremental Zone transfer   RFC 1995		Proposed
  Notify		      RFC 1996		Proposed
  DNS SRV service location    RFC 2052		Experimental
  Dynamic Update	      RFC 2136		Proposed
  Security for Dynamic Update RFC 2137		Proposed
  Clarification to DNS        RFC 2181          Proposed
  Negative Caching	      RFC 2308		Proposed
  Security Extensions	      RFC 2535-2539	Proposed
  Extensions to DNS0	      RFC 2671		Proposed

Other specific work items are:

      o TSIG - transaction signatures in (dnsind-tsig-xx.txt)
      o TKEY - Secret Key establishment for DNS (dnsind-tkey-xx.txt)
      o Secure dynamic update, two competing proposals
	       (dnsind-simple-secure-update-xx.txt)
	       RFC2137 update
      o Compression of newly defined data types   
      o New compression methods for DNS data 
      o Design of new extensions for DNS
      o Protocol clarifications and corrections for DNSSEC

New work items may be added from time-to-time with the approval of the
Working Group and the responsible Area Director.

Goals and Milestones:

  Where there is no milestone for a work item mentioned above,
  the working group has not yet decided upon the priority for
  the item, or, in some cases, whether active work will be undertaken,
  and no target milestone has yet been set.

 Nov 99  Advance TSIG for IESG consideration
 Dec 99  local compression ready for IESG consideration
 Dec 99  notify and dynamic update interoperabilty testing complete
 Jan 00  Advance TKEY for IESG consideration
 Mar 00  Serial Bit Arithmetic, Notify and DNS Clarify advanced to
	 Draft Standard.
 May 00  Secure update completed and ready for IESG consideration
 Mar 00	 IXFR interoperabilty testing complete
 Aug 00  Replacement for Notify and IXFR documents ready for 
	 advancement to Draft Standard
 Sep 00  Replacement for Update ready for advancement for Draft Standard
 Dec 00  More DNS extensions (edns1) submitted to IESG
 Dec 00  Request that TSIG be advanced to Draft Standard
 Feb 01  Revised DNSSEC submitted for advancement to Draft Standard
 Apr 01  rfc2052bis (SVR RRs) finally meets the IESG requirements